/*

  Copyright 2010-2013 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.app.competition;

import cf.sim.SimNode;
import cf.sim.SimWorld;
import cf.sim.dtn.LinkType;
import cf.sim.dtn.SimLink;

public class CompetitionWorld extends SimWorld
{
    public CompetitionWorld()
    {
        SimNode node1 = new SimNode(this,"node1");
        SimNode node2 = new SimNode(this,"node2");
        SimNode node3 = new SimNode(this,"node3");
		
	new ProductionApp(node1);
	new CompetitionApp(node2);
	new CompetitionApp(node3);

        SimLink l;
        l = this.addSymmetricLink(node1, node2, LinkType.Persistent );
        this.handleLinkChange(true, l);
        l = this.addSymmetricLink(node1, node3, LinkType.Persistent );
        this.handleLinkChange(true, l);
        l = this.addSymmetricLink(node2, node3, LinkType.Persistent );
        this.handleLinkChange(true, l);
    }

}
