/*

  Copyright 2010-2013 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.app.cyberping;

import java.io.IOException;

import cf.real.RealEngine;
import cf.real.RealWorld;
import cf.util.Log;

class CyberPingLauncher extends RealEngine
{
  public double waitTime;
  public RealWorld createRealWorld()
  {
    return new CyberPingWorld(waitTime);
  }
}

class CyberPingMain
{
  public static void main (String args[]) throws IOException
  {
    CyberPingLauncher launcher = new CyberPingLauncher();
    if(args.length > 1 )
    {
      Log.stderr.println("Use: ./runsim [waitTime] ");
      System.exit(1);
    }
    else if(args.length == 0)
    {
      launcher.waitTime = 1;
    }
    else 
    {
      launcher.waitTime = Double.parseDouble(args[0]);
    }
    launcher.setEndTime(10);//s
    launcher.run();
  }
}
