/*

  Copyright 2010-2013 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.app.mutex1;


import java.io.IOException;

import cf.api.CyberApplication;
import cf.common.Model;
import cf.sim.SimEngine;
import cf.sim.SimNode;
import cf.sim.SimWorld;

class MutexSimulation extends SimEngine
{
    public boolean invariantProperty(SimWorld world)
    {
	int critical = 0;

	for(Model m : world.allModels())
	    {
		if(m instanceof SimNode)
		    {
			SimNode sn = (SimNode)m;
			for(CyberApplication app : sn.allApplications())
			    {
				MutexApp mn = (MutexApp)app;
				if(mn.critical) critical++;
			    }
		    }
	    }
	
	return critical <= 1;
    }

    public SimWorld createSimWorld()
    {
	return new MutexWorld();
    }
}

class MutexMain
{
    public static void main (String args[]) throws IOException
    {
	MutexSimulation sim = new MutexSimulation();
	sim.run();
    }
}
