/*

  Copyright 2010-2013 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.app.sensorrobots; 

import cf.sim.SimNode;
import cf.sim.SimWorld;
import cf.sim.basic.devices.SimCamera;
import cf.sim.basic.devices.SimMotionSensor;
import cf.sim.basic.devices.SimNoiseSensor;
import cf.sim.basic.devices.SimPosition;

public class SensorWorld extends SimWorld
{
    public SensorWorld()
    {		
	new RootApp(new SimNode(this,"RootNode"));

	for(int i = 0; i < 2; i++)
	    {
		SimNode robot = new SimNode(this,"RobotNode"+i); new RobotApp(robot);
		new CameraApp(new SimNode(this,"CameraNode"+i),new SimCamera(this,robot,"CameraDev"+i));
		new PositionApp(new SimNode(this,"PositionNode"+i),new SimPosition(this,robot,"PositionDev"+i));
		new MotionSensorApp(new SimNode(this,"MotionSensorNode"+i),new SimMotionSensor(this,robot,"MotionSensorDev"+i));
		new NoiseSensorApp(new SimNode(this,"NoiseSensorNode"+i),new SimNoiseSensor(this,robot,"NoiseSensorDev"+i));
	    }
    }

}
