/*

  Copyright 2010-2013 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.real;

import java.util.HashSet;
import java.util.Iterator;


public class CyberEngineIdList extends HashSet<Long>
{
  public CyberEngineIdList()
  {
  }

  /* chekc if contains all Ids in neighbor in nl */
  boolean containsAll(NeighborList nl)
  {
    Iterator<NeighborInfo> ni_iter = nl.iterator();
    while(ni_iter.hasNext())
    {
      NeighborInfo ni = ni_iter.next();
      if(!contains( ni.CyberEngineId() ))
        return  false;
    }
    return true;
  }

  void addAll(NeighborList nl)
  {
    Iterator<NeighborInfo> ni_iter = nl.iterator();
    while(ni_iter.hasNext())
    {
      NeighborInfo ni = ni_iter.next();
      add(ni.CyberEngineId());
    }
  }
}