/*

  Copyright 2010-2013 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.real;

import cf.api.ApplicationKnowledge;

public class IPKnowledge extends ApplicationKnowledge 
{
  private static final long serialVersionUID = 1L;
  IPList ip_list = new IPList();
  IPList ip_list() { return ip_list; }

  IPKnowledge(String creator, double creationTime, double expirationTime)
  {
    super(creator, creationTime, expirationTime);
  }

  int hop;
  int hop() { return hop; } 
  void setHop(int num) { hop = num; }

  boolean sameSubnet; // flag to determince source of network, where other subnet or not
  boolean sameSubnet() { return sameSubnet; }

  //long engineId;
  //long engineId() { return engineId; }
  CyberEngineIdList aware_engineId = new CyberEngineIdList();
  CyberEngineIdList aware_engineId() { return aware_engineId; }

  public String toString()
  {
    return ip_list.toString() + " engine id: " + engineId + " local subnet: " + sameSubnet + " hops: " + hop;
  }
}
