/*

  Copyright 2010-2013 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.real;

import java.net.InetAddress;
import java.util.HashSet;
import java.util.Iterator;

public class IPList extends HashSet<IPInfo>
{
  IPList()
  {
    super();
  }
  IPList(int size)
  {
    super(size);
  }

  boolean containsAll(IPList ip_list) 
  {
    Iterator<IPInfo> ip_iter = ip_list.iterator();
    while(ip_iter.hasNext())
    {
      IPInfo other_ip = ip_iter.next();
      if( !contains(other_ip) )
        return false;
    }
    return true;
  }

  boolean contains(InetAddress ip)
  {
    Iterator<IPInfo> ip_iter = iterator();
    while(ip_iter.hasNext())
    {
      IPInfo my_ip = ip_iter.next();
      if( ip.equals(my_ip.ip())) return true;
    }
    return false;
  }

  public boolean contains(InetAddress ip, int port)
  {
    Iterator<IPInfo> ip_iter = iterator();
    while(ip_iter.hasNext())
    {
      IPInfo my_ip = ip_iter.next();
      if( ip.equals(my_ip.ip()) && my_ip.port() == port) return true;
    }
    return false;
  }

  boolean contains(String hostname)
  {
    Iterator<IPInfo> ip_iter = iterator();
    while(ip_iter.hasNext())
    {
      IPInfo my_ip = ip_iter.next();
      if( hostname.equals(my_ip.hostname())) return true;
    }
    return false;
  }

}