/*

  Copyright 2010-2013 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.real;

public class NeighborInfo
{
  NeighborInfo(long id, IPList ipList, boolean sameSubnet)
  {
    this.CyberEngineId = id;
    this.ipList.addAll(ipList);
    this.sameSubnet = sameSubnet;
  }

  long CyberEngineId;
  long CyberEngineId() { return CyberEngineId; }

  IPList ipList = new IPList();
  IPList ipList() { return ipList; }

  boolean sameSubnet;
  boolean sameSubnet() { return sameSubnet; }

  public boolean equals(Object o)
  {
    if(o != null && getClass() == o.getClass() )
    {
      NeighborInfo other = (NeighborInfo)o;
      return CyberEngineId == other.CyberEngineId();
    }
    return false;
  }

  public int hashCode()
  {
    return 31*(int)CyberEngineId;
  }

  public String toString()
  {
    return "engine id: " + CyberEngineId + " ip: " + ipList.toString() + " local subnet: " + sameSubnet;
  }
}