/*

  Copyright 2010-2013 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.real;

import cf.api.ApplicationKnowledge;

public class PingResponseKnowledge extends ApplicationKnowledge
{
  private static final long serialVersionUID = 1L;
  PingResponseKnowledge(String creator,  double creationTime , double expirationTime, int seq)
  {
    super(creator, creationTime, expirationTime);
    this.seq = seq;
  }

  private int seq;
  //private double recv_time;
  //private long engineId;
  //private long responseEngineId;

  public int seq() { return seq; }
  //public void setHop(int hop) { this.hop = hop; }
  //public long engineId() { return engineId; }
  //public long responseEngineId() { return responseEngineId; }

  //  public boolean replaces(ApplicationKnowledge k)
  //  {
  //    return false;
  //  }

  public String logRepLong()
  {
    return toString();
  }

  public String toString() 
  {
    return "PING RSP//creator: " + creator() + " , created time: " + creationTime() + " , seq: " + seq;
  }
}
