/*

  Copyright 2010-2013 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.sim.basic.devices;

import cf.api.CyberApplication;
import cf.api.devices.Area;
import cf.api.devices.Camera;
import cf.api.devices.CameraApplication;
import cf.api.devices.Image;
import cf.common.Model;
import cf.sim.SimWorld;

public class SimCamera extends Model implements Camera
{
  public SimCamera(SimWorld world)
  {
    super(world);
  }

  public SimCamera(SimWorld world, String name)
  {
    super(world,name);
  }

  public SimCamera(SimWorld world, Model parent, String name)
  {
    super(world,parent,name);
  }

  public void addApplication(CameraApplication app)
  {
    addApplication((CyberApplication)app);
  }

  public Image takeImage(Area area)
  {
    return new Image(time(),area);
  }
}
