/*

  Copyright 2010-2013 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.sim.basic.devices;

import cf.api.CyberApplication;
import cf.api.devices.MotionSensor;
import cf.api.devices.MotionSensorApplication;
import cf.common.Model;
import cf.sim.SimWorld;

public class SimMotionSensor extends Model implements MotionSensor
{    
  public SimMotionSensor(SimWorld world)
  {
    super(world);
  }

  public SimMotionSensor(SimWorld world, String name)
  {
    super(world,name);
  }

  public SimMotionSensor(SimWorld world, Model parent, String name)
  {
    super(world,parent,name);
  }

  public void addApplication(MotionSensorApplication app)
  {
    addApplication((CyberApplication)app);
  }

  public void initialize()
  {
    getNode().postEvent(10.0);
  }

  protected void handleEvent()
  {
    log("noise detected");

    for(CyberApplication app : allApplications())
    {
      if(app instanceof MotionSensorApplication) ((MotionSensorApplication)app).handleMotion();
    }
  }

}
