/*

  Copyright 2010-2013 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.sim.dtn;

import java.util.LinkedList;

public class BundleList extends LinkedList<Bundle>
{
  public BundleList()
  {
  }

  // Find bundle in list with given sequence number.

  public Bundle findSeq(int seq)
  {
    for (Bundle b : this)
    {
      if (b.seq() == seq) return b;
    }
    return null;
  }

  // Print all bundles in this list.

  public void print()
  {
    for (Bundle b : this) b.print();
  }

  // Sum of sizes of all bundles in this list.

  public double realSize()
  {
    double r = 0;
    for (Bundle b : this) r += b.realSize();
    return r;
  }
}