/*

  Copyright 2010-2013 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.sim.dtn;

import cf.common.Param;
import cf.util.Log;

public class DataPayload extends Payload
{
  // Flag to distinguish primary traffic from background traffic in the simulator.

  private boolean background;
  public boolean background() {
    return background;
  }

  // Real size of payload.

  private double size;
  public double realSize() {
      return  Param.BundleHeaderSize + size;
  }

  // Constructor.

  public DataPayload(double size, boolean background) {
    this.size = size;
    this.background = background;
  }

  // Short description.

  public String logRepShort()
    {
       return Log.getClassName(this) + "(" + Log.precision(0,realSize()) + ")";
    }

 public String logRepLong()
    {
       return Log.getClassName(this) + " " + "Data Size: " + Log.precision(0,realSize());
    }

}