/*

  Copyright 2010-2013 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.sim.dtn;

import cf.api.ApplicationKnowledge;
import cf.sim.SimEngine;
import cf.sim.SimNode;
import cf.util.Log;

public class NodeStatisticsKnowledge extends ApplicationKnowledge
{
  /** Uniquely determines node. */

  private SimNode node;

  /** Knowledge about this node. */

  private double avgUtilization;

  /** Observes. */

  public SimNode node() {
    return node;
  }

  /** Constructor. */

  public NodeStatisticsKnowledge(SimNode creator, SimNode node)
  {
    super(creator.name(),creator.time() ,  java.lang.Double.POSITIVE_INFINITY);
    this.node = node;
  }

  public boolean related(ApplicationKnowledge k)
  {
    if (k instanceof NodeStatisticsKnowledge)
    {
      NodeStatisticsKnowledge ls = (NodeStatisticsKnowledge)k;
      return node == ls.node;
    }
    else return false;
  }

  public void print()
  {
    SimEngine.rep.println(logRepLong());
    super.print();
    SimEngine.rep.begin();
    SimEngine.rep.println("AvgUtilization: " + Log.precision(3,avgUtilization));
    SimEngine.rep.end();
  }

}