/*

   Copyright 2010-2013 SRI International

   Licensed under the Apache License, Version 2.0 (the "License"); you may
   not use this file except in compliance with the License. You may obtain
   a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

   The development was supported by National Science Foundation Grant 0932397:
   A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.sim.mason;

import java.awt.Color;

import cf.api.devices.Position2D;
import cf.common.Model;
import cf.sim.mason.devices.SimPosition2D;

import sim.portrayal.simple.OvalPortrayal2D;
import sim.util.Double2D;

public class SimPosition2DMason extends SimPosition2D implements Position2D
{    

    public static final double DIAMETER = 8;

    AgentPortrayal2D portrayal = new AgentPortrayal2D(Color.green, DIAMETER);

    public SimPosition2DMason(SimWorldMason world)
    {
	super(world);
    }

    public SimPosition2DMason(SimWorldMason world, Model parent)
    {
	super(world,parent);
    }

    public SimPosition2DMason(SimWorldMason world, Model parent, String name)
    {
	super(world,parent,name);
    }

    public void update()
    {
    	SimWorld2DMason world2d = (SimWorld2DMason)world;
    	Double2D p = new Double2D(posx(),posy());
    	world2d.environment.setObjectLocation(portrayal,p);
    }


}

