/*

   Copyright 2010-2013 SRI International

   Licensed under the Apache License, Version 2.0 (the "License"); you may
   not use this file except in compliance with the License. You may obtain
   a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

   The development was supported by National Science Foundation Grant 0932397:
   A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.sim.mason;

import java.awt.Color;

import cf.api.devices.Position3D;
import cf.common.Model;
import cf.sim.mason.devices.SimPosition3D;

import sim.util.Double3D;

public class SimPosition3DMason extends SimPosition3D implements Position3D
{    

    public static final float DIAMETER = 10;

    AgentPortrayal3D portrayal = new AgentPortrayal3D(Color.green, DIAMETER);

    public SimPosition3DMason(SimWorldMason world)
    {
	super(world);
    }

    public SimPosition3DMason(SimWorldMason world, Model parent)
    {
	super(world,parent);
    }

    public SimPosition3DMason(SimWorldMason world, Model parent, String name)
    {
	super(world,parent,name);
    }

    public void update()
    {
    	SimWorld3DMason world3d = (SimWorld3DMason)world;
    	Double3D p = new Double3D(posx(),posy(),posz());
    	world3d.environment.setObjectLocation(portrayal,p);
    }


}

