/*

   Copyright 2010-2013 SRI International

   Licensed under the Apache License, Version 2.0 (the "License"); you may
   not use this file except in compliance with the License. You may obtain
   a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

   The development was supported by National Science Foundation Grant 0932397:
   A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.sim.mason;

import sim.field.continuous.Continuous2D;

public class SimWorld2DMason extends SimWorldMason
{
    public static final double XMAX = 500;
    public static final double YMAX = 500;

    public Continuous2D environment = null;
    public GUIState2DMason gui = null;

    public SimWorld2DMason()
    {
        environment = new Continuous2D(10.0, XMAX, YMAX);    	
    }
    
    public void createController()
    {
		gui = new GUIState2DMason(this);
		gui.createController();    	
    }
}
