/*

   Copyright 2010-2013 SRI International

   Licensed under the Apache License, Version 2.0 (the "License"); you may
   not use this file except in compliance with the License. You may obtain
   a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

   The development was supported by National Science Foundation Grant 0932397:
   A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.sim.mason;

import java.util.LinkedList;

import cf.api.CyberApplication;
import cf.common.Engine;
import cf.common.Model;
import cf.sim.SimWorld;

import sim.display.GUIState;
import sim.engine.SimState;

public abstract class SimWorldMason extends SimWorld
{
	public SimState simstate;
	
	private int freshModelIndex = 0;
	public int freshModelIndex() { return freshModelIndex++; }

	private LinkedList<Model> allModels = new LinkedList<Model>();
	private LinkedList<CyberApplication> allApplications = new LinkedList<CyberApplication>();

	public int totModels() { return allModels.size(); }

	public SimWorldMason()
	{	
		simstate = new SimStateMason(this);
		Engine.simworld = this;
	}

	public abstract void createController();

}
