/*

  Copyright 2010-2013 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.sim.stage;

import cf.util.Log;

public class CameraInterface 
{
  CameraInterface ( )
  {
	Log.stdout.println("Model pointer should be set up");
    System.exit(1);
  }

  CameraInterface(JavaStageCtrl ctrl)
  {
    this.robot_p = ctrl.GetRobotP();
  }

  int robot_p;

  // model camera
  public int getWidth() { return _getWidth(this.robot_p); }
  public int getHeight() { return _getHeight(this.robot_p); }
  public float [] FrameDepth() { return _FrameDepth(this.robot_p); }
  public byte [] FrameColor() { return _FrameColor(this.robot_p); }
  public static native float [] _FrameDepth(int robot_p);
  public static native byte [] _FrameColor(int robot_p);
  public static native int _getWidth(int robot_p);
  public static native int _getHeight(int robot_p);

}
