/*

  Copyright 2010-2013 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.sim.stage;

import cf.util.Log;

public class ModelInterface
{

  ModelInterface () 
  {
	Log.stdout.println("Model pointer should be set up");
    System.exit(1);
  }
  ModelInterface(JavaStageCtrl ctrl) 
  {
    this.robot_p = ctrl.GetRobotP();
  }
  int robot_p;

  // model 
  public Pose GetPose() { return _GetPose(this.robot_p); }
  public void Say(String str) { _Say(str, this.robot_p); }
  public static void SetPose(double x, double y, int robot_p)
  {
    _SetPose(new Pose(x, y,0.0, 0.0), robot_p );
  }
  public static void SetPose(double x, double y, double z, int robot_p)
  {
    _SetPose(new Pose(x, y, z, 0.0), robot_p );
  }
  public static native Pose _GetPose(int robot_p);
  public static native void _Say(String str, int robot_p);
  public static native String GetName(int robot_p);
  public static native void _SetPose( Pose pos, int robot_p );
}

