/*

  Copyright 2010-2013 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.sim.stage;

import cf.util.Log;

public class WifiInterface 
{
  WifiInterface()
  {
	Log.stdout.println("Model pointer should be set up");
    System.exit(1);
  }
  WifiInterface(JavaStageCtrl ctrl) 
  {
    this.robot_p = ctrl.GetRobotP();
  }
  int robot_p;

//  public WifiConfig wifi_config;

  public WifiConfig GetConfig() { return _GetConfig(this.robot_p);  }
  public void SendBroadcastMessage(WifiMessageBase to_send) { _SendBroadcastMessage(to_send, this.robot_p); }
  public void add_rcv_msg_fn(WifiMsgRcvFn fn) { _add_rcv_msg_fn(fn, this.robot_p); }
  public void SendUnicastMessage(WifiMessageBase to_send) { _SendUnicastMessage(to_send, this.robot_p); }
  public WifiNeighbor [] GetLinkInfo() { return _GetLinkInfo(this.robot_p); }
  
  public static native WifiNeighbor [] _GetLinkInfo(int robot_p);
  public static native WifiConfig _GetConfig(int robot_p);
  public static native void _SendBroadcastMessage(WifiMessageBase to_send, int robot_p);
  public static native void _SendUnicastMessage(WifiMessageBase to_send, int robot_p);
  public static native void _add_rcv_msg_fn(WifiMsgRcvFn fn, int robot_p);
}



