/*

  Copyright 2010-2013 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.sim.stage;

public class WifiMessageBase 
{
  public String sender_mac;
  public String sender_ip_in;
  public String sender_netmask_in;
  public long sender_id; // stage wifi model id
  public int sender_node_index; // cpssim node index

  public String recipient_ip_in;
  public String intended_recipient_ip_in;
  public String recipient_netmask_in;
  public long recipient_id;
  public int recipient_node_index;

  public String message;

//  public Transmission tm;
//  public double tm_size;
//  public boolean tm_cancled;

  public WifiMessageBase() 
  {
  }

  WifiMessageBase(WifiMessageBase toCopy) 
  {
    this.sender_mac               = toCopy.sender_mac;
    this.sender_ip_in             = toCopy.sender_ip_in;
    this.sender_netmask_in        = toCopy.sender_netmask_in;
    this.sender_id                = toCopy.sender_id;

    this.recipient_ip_in          = toCopy.recipient_ip_in;
    this.intended_recipient_ip_in = toCopy.intended_recipient_ip_in;
    this.recipient_netmask_in     = toCopy.recipient_netmask_in;
    this.recipient_id             = toCopy.recipient_id;

    this.message                  = toCopy.message;
  }

  public WifiMessageBase Clone()
  {
    return new WifiMessageBase(this);
  }
}

