/*

  Copyright 2010-2013 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/


package cf.util;


import java.util.HashSet;
import java.util.HashMap;
import java.util.Iterator;

// for ian's tinkering; allows for peephole monitoring

public class ObjectRecorder {
    static HashSet<Class> objectClasses = new HashSet<Class>();
    static HashMap<Class, Integer> objectCount = new HashMap<Class, Integer>();

    public static synchronized void note(Object e){
        Class c = e.getClass();
        objectClasses.add( c );
        Integer n = objectCount.get( c );
        objectCount.put( c , n == null ? Integer.valueOf(1) : Integer.valueOf(n.intValue() + 1));
    }

    public static synchronized void dump(){
        Iterator<Class> it = objectClasses.iterator();
        while(it.hasNext()){
            Class c = it.next();
            Log.stderr.println(c + " : " + objectCount.get(c));
        }
    }

}
