/*

  Copyright 2010-2013 SRI International and Seoul National University

  Licensed under the Apache License, Version 2.0 (the "License"); you may
  not use this file except in compliance with the License. You may obtain
  a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The development was supported by National Science Foundation Grant 0932397:
  A Logical Framework for Self-Optimizing Networked Cyber-Physical Systems

*/

package cf.util.video;

import cf.api.devices.Area;

import java.awt.image.BufferedImage;
import java.io.Serializable;

public class JPEG implements Serializable
{
  double time;
  Area area;
  public BufferedImage data;
  
  public JPEG(BufferedImage data)
  {
	  this.time = 0.0;
	  this.area = null;
	  this.data = data;
  }
  
  public JPEG(double time, Area area, BufferedImage data)
  {
    this.time = time;
    this.area = area;
    this.data = data;
  }

  public String logRepLong()
  {
    return "Picture(" + time + ", " + "width:"+data.getWidth()+", height:"+data.getHeight()+")"+" ";
  }
}
